/*
 * This file is part of firk's window manager for x11 (fwm)
 * Copyright (C) 2022, 2023 firk <firk@cantconnect.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef _FWM_MENU_CONFIG_H_
#define _FWM_MENU_CONFIG_H_

#define MENU_WIDTH_MIN 50
#define MENU_WIDTH_MAX 400
#define MENU_VPAD 10
#define MENU_HPAD 5
#define MENU_BORDER_WIDTH 1
/* #define MENU_CELL_VSPACE 0   not implemented */
#define MENU_CELL_HPAD   5
#define MENU_CELL_HEIGHT 20
#define MENU_CELL_OFFS   14  /* offset where text printed */
#define MENU_CELL_DIRW   10

#define SEL_TIMEOUT_MS   200

#define RESIZE_MS        200 /* interval waiting for wm resize after screen resize */

#define DEFAULT_FONT_NAME "-Misc-Fixed-Medium-R-SemiCondensed--13-120-75-75-C-60-ISO10646-1"

#define AUTOCLOSE_ON_CLICK_OUTSIDE 1

#endif

