/*
 * This file is part of firk's window manager for x11 (fwm)
 * Copyright (C) 2022 firk <firk@cantconnect.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef _FWM_FSYSD_H
#define _FWM_FSYSD_H

typedef struct {
  int charge_pctt, is_ac, is_charging, ac_err, bat_err;
} fsysd_pwr;

extern void fsysd_reopen(void);
extern int fsysd_get_pwr(fsysd_pwr *r);
extern int fsysd_get_bl(void);
extern int fsysd_set_bl(int bl);

#endif
