#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Wformat -Werror -Wno-parentheses"
CC="gcc $WARNOPTS"

rm -Rf build
mkdir build
cd build

$CC "$@" -c ../mixer.c
$CC "$@" -c ../drawing.c
$CC "$@" -c ../keyhooks.c
$CC "$@" -c ../vol-alsa.c
gcc -Wall -Werror "$@" -o fwm-mixer *.o -lX11 -lfwm -lasound

rm -f *.o

echo "fwm-mixer build done"

