/*
 * This file is part of fwm-sysdaemon
 *  backlight.c
 *
 * Copyright (c) 2019, 2022 firk (firk@cantconnect.ru)
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The origin of this software must not be misrepresented; you must
 *    not claim that you wrote the original software.
 * 4. Altered versions in any form must be plainly marked as such, and
 *    must not be misinterpreted as being the original software.
 *
 * This software is provided by the author and contributors `as is'
 * without any express or implied warranty.
 */
#ifndef INCLUDED_FSYSD_BACKLIGHT_H
#define INCLUDED_FSYSD_BACKLIGHT_H

extern int bl_init(char const *name, int raw_max, int max, int linear);
extern int bl_set(int v);
extern int bl_get(void);

#endif

