#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Werror"
DEFOPTS=""
CC="gcc $WARNOPTS $DEFOPTS"

rm -Rf build
mkdir build
cd build

$CC -c ../main.c
$CC -c ../config.c
$CC -c ../get_powerstat.c
$CC -c ../util.c
$CC -c ../backlight.c
$CC -c ../fwatch.c

gcc -Wall -Werror -o fwm-sysdaemon *.o -lfcl -lm

rm -f *.o

echo "fwm-sysdaemon build done"
