/*
 * This file is part of firk's window manager for x11 (fwm)
 * Copyright (C) 2016-2021 firk <firk@cantconnect.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef _FWM_MAIN_H_
#define _FWM_MAIN_H_

#include <time.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

extern time_t now;

extern void logprint(char const * fmt, ...);
extern void failprint(char const * fmt, ...);

/*
extern void grabkey(unsigned int keycode, unsigned int modif, Window window);
extern void grabbut(unsigned int button, unsigned int modif, Window window,
  unsigned int event_mask);
*/

#endif
