#!/bin/sh

synclient VertScrollDelta=110
synclient HorizScrollDelta=50
synclient VertTwoFingerScroll=1
synclient HorizTwoFingerScroll=1
synclient TapButton1=1
# this leads to some false clicks from two-finger scrolling :(
synclient TapButton2=0
synclient TapButton3=0
#synclient TapButton2=3
#synclient TapButton3=2
exit 0

# xinput list -> "TouchPad id=11"
# xinput list-props 11 -> 
# Synaptics Two-Finger Scrolling (287):	1, 0
# Synaptics Scrolling Distance (285):	110, 110
# Synaptics Tap Action (292):	0, 0, 0, 0, 0, 0, 0       = corner touches: RT RB LT LB  multifinger touches: TAP1 TAP2 TAP3; values: 0=ignore 1=left 2=middle 3=right button
#

# enable horizontal scroll
xinput set-prop 11 287 1, 1

# make it same speed as vertical (110,110) lead to very slow horiz. scroll
xinput set-prop 11 285 110, 50

xinput set-prop 11 292 0, 0, 0, 0, 1, 3, 2 # 1-finger = left, 2-finger = right, 3-finger = middle button

